# mdtraj.compute_J3_HN_HA

mdtraj.compute_J3_HN_HA(traj, model='Bax2007')

  Calculate the scalar coupling between HN and H_alpha.

  This function does not take into account periodic boundary conditions (it will give spurious results if the three atoms which make up any angle jump across a PBC (are not “wholed”))

  Parameters:

    - traj (mdtraj.Trajectory) – Trajectory to compute J3_HN_HA for

    - model (string, optional, default="Bax2007") – Which scalar coupling model to use. Must be one of Bax2007, Bax1999, or Ruterjans1999

  Returns:

    - indices (np.ndarray, shape=(n_phi, 4), dtype=int) – Atom indices (zero-based) of the phi dihedrals

    - J (np.ndarray, shape=(n_frames, n_phi)) – Scalar couplings (J3_HN_HA, in [Hz]) of this trajectory. J[k] corresponds to the phi dihedral associated with atoms indices[k]

  Notes

  The coefficients are taken from the references below–please cite them.

  References

  [1]

  Schmidt, J. M., Blümel, M., Löhr, F., & Rüterjans, H. “Self-consistent 3J coupling analysis for the joint calibration of Karplus coefficients and evaluation of torsion angles.” J. Biomol. NMR, 14, 1 1-12 (1999)

  [2]

  Vögeli, B., Ying, J., Grishaev, A., & Bax, A. “Limits on variations in protein backbone dynamics from precise measurements of scalar couplings.” J. Am. Chem. Soc., 129(30), 9377-9385 (2007)

  [3]

  Hu, J. S., & Bax, A. “Determination of ϕ and ξ1 Angles in Proteins from 13C-13C Three-Bond J Couplings Measured by Three-Dimensional Heteronuclear NMR. How Planar Is the Peptide Bond?.” J. Am. Chem. Soc., 119(27), 6360-6368 (1997)